-- Încarcă fonturi custom după un mic delay
CreateThread(function()
    Wait(1000)
    RegisterFontFile('wmk')
    RegisterFontFile('Montserrat')
end)

-- Funcție pentru formatat suma de bani
function tvRP.formatMoney(amount)
    local left, num, right = string.match(tostring(amount), '^([^%d]*%d)(%d*)(.-)$')
    return left .. (num:reverse():gsub('(%d%d%d)', '%1.'):reverse()) .. right
end

-- Loop principal pentru afișarea timpului rămas până la payday
CreateThread(function()
    while true do
        local pcMin = GlobalState.minute or 0
        local pcSec = GlobalState.secunde or 0

        -- Format afisaj
        local paydayformat = ("%02dm %02ds"):format(pcMin, pcSec)
        if pcMin <= 0 then
            paydayformat = ("%02d sec"):format(pcSec)
        end

        -- Trimite mesaj către NUI
        SendNUIMessage({
            act = "setMoney",
            type = "payday",
            payday = paydayformat
        })

        Wait(1000)
    end
end)